# Algorithms_in_C++: others::recursive_tree_traversals::Node Struct Reference

Loading...
Searching...
No Matches
others::recursive_tree_traversals::Node Struct Reference

The structure to hold Nodes of the tree. More...

Collaboration diagram for others::recursive_tree_traversals::Node:
[legend]

## Public Attributes

uint64_t | data = 0
| The value/key of the node.
struct Node * | left {}
| struct pointer to left subtree.
struct Node * | right {}
| struct pointer to right subtree.

## Detailed Description

The structure to hold Nodes of the tree.

Parameters

  data | Value that will be stored in the node.
  left | follow up left subtree.
  right | follow up right subtree.

The documentation for this struct was generated from the following file:

- others/recursive_tree_traversal.cpp